Subject: Re: bug#13329: 24.2 post patch for #9521; Rmail forward does not correctly handle MIME messages containing "From " lines

From: Stefan Kangas <[email-masked]>
Date: Sun, 3 Sep 2023 01:33:29 -0700

Eli Zaretskii <[email-masked]> writes:

>> From: Mark Lillibridge <[email-masked]>
>> Cc: [email-masked], [email-masked], [email-masked]
>> Date: Mon, 10 Oct 2022 14:04:58 -0700
>>
>> >      I was using Emacs Rmail, but not the pure emacs 28.1 -q because I
>> >  need to change settings to send email.  Let me see if I can try a purer
>> >  reenactment.
>>
>>     Ok, I sent myself a message with last line "From nothing" (pure text
>> body); fetchmail produced the attached incoming_sample.gz file, which
>> Rmail 'g' added to an empty Rmail file to produce the attached
>> RMAIL.sample.gz.  I did this using as pure an Rmail set up as I can with
>> emacs 28.1.  My sending/receiving goes through MIT email forwarding and
>> uses Gmail as a receiving service.
>>
>>    Both of these files have the proper mbox quoting, with a > before the
>> >From in the body.  If I switch to emacs 28.1 -q and open that Rmail
>> file, I see the extra > and pressing 'f' includes it in the forwarded
>> message.  This shows both bugs (13328 and 13329).
>>
>>    See if you can open RMAIL.sample and reproduce the bugs on your end.
>> If so, something must differ between our email sending/receiving before
>> rmail processes.  If you can't reproduce the bugs given the Rmail file,
>> I'm very confused.
>
> So, to summarize:
>
>   . the problem happens only in emails that have MIME-Version: header
>   . the problem happens only in emails that have just the body, no
>     attachments
>   . the problem happens because rmail-show-mime doesn't remove the ">"
>     from ">From" when it shows the plan-text MIME content
>
> Is that correct?

It seems like we need more information here in order to make any
progress.  Mark, could you answer the questions above?

Thanks in advance.